Bug 555098

Summary: Enhancement: Add AS 4 connection metrics that are found in AS-5
Product: [Other] RHQ Project Reporter: Jay Shaughnessy <jshaughn>
Component: PluginsAssignee: Filip Drabek <fdrabek>
Status: CLOSED CURRENTRELEASE QA Contact: Sunil Kondkar <skondkar>
Severity: high Docs Contact:
Priority: high    
Version: 1.3CC: cwelton, tao
Target Milestone: ---Keywords: SubBug
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: 2.4 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-08-12 16:58:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 565628, 591531    

Description Jay Shaughnessy 2010-01-13 16:49:20 UTC
Enhancement Request:
case 390173

AS-5 plugin supports the following metrics on ConnectionFactory resources.  These metrics are not available on any AS-4 resource but are supplied in the underlying mbean for ManagedConnectionPool.

This is a request to add the resource type/metrics necessary in AS-4 for:

AvailableConnectionCount
ConnectionCount
MaxConnectionsInUseCount
InUseConnectionCount

Comment 1 wes hayutin 2010-02-16 16:58:14 UTC
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug

Comment 2 wes hayutin 2010-02-16 17:03:08 UTC
making sure we're not missing any bugs in rhq_triage

Comment 3 Filip Drabek 2010-05-14 10:02:55 UTC
I have added support of metrics AvailableConnectionCount, ConnectionCount, ConnectionCreatedCount, ConnectionDestroyedCount, InUseConnectionCount, MaxConnectionsInUseCount, MaxSize, MinSize to ConnectionFactory resources.

Comment 4 Filip Drabek 2010-05-14 10:03:20 UTC
commit 1ddf0cbbfa231ea06f01f66dfb02ff0000fa171d

Comment 5 Sunil Kondkar 2010-05-21 06:58:22 UTC
Verified on jon build#160 (Revision: 10620). Following metrics are available in AS4 ConnectionFactory resource in Monitor->schedules tab.

Available Connection Count, Connection Count, Connection Created Count, Connection Destroyed Count, In UseConnection Count,
Max Connections In Use Count, Max Size, Min Size.

Comment 6 Corey Welton 2010-08-12 16:58:42 UTC
Mass-closure of verified bugs against JON.